Bug 123243 - Spacing difference between Word & LibreOffice from an OOXML file.
Summary: Spacing difference between Word & LibreOffice from an OOXML file.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.6.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2019-02-07 22:13 UTC by Richard
Modified: 2019-03-12 17:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
File described. (30.59 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-07 22:14 UTC, Richard
Details
comparison MSO 2010 and LibreOffice 6.3 Master (67.23 KB, image/png)
2019-02-12 17:14 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard 2019-02-07 22:13:36 UTC
Description:
When opening a document created by Microsoft Word 2016 (although likely initially created in Word 2003), there's a large additional space when opened in LibreOffice Writer.

Steps to Reproduce:
1. Open the attached file.

Actual Results:
Between the Quotation header and the table with the Attention cell, there's a large empty gap.

Expected Results:
The gap should be much smaller. In Word 2016, it's the same size as a single line of text in the initial font style.


Reproducible: Always


User Profile Reset: No



Additional Info:
Found an Undo bug with the spacing in the same document although it was able to repeated when converted to an ODT file. As they weren't exactly the same, filed another bug for it; #123242.
Comment 1 Richard 2019-02-07 22:14:05 UTC
Created attachment 149001 [details]
File described.
Comment 2 V Stuart Foote 2019-02-08 05:35:47 UTC
Happens on file import to 6.1.4.2 or current master/6.3 with file saved from Word 2016 as OOXML Strict, or with save from Word 2016 as ODT.

Word 2016 opens all 3 formats, appearing the same--LibreOffice chokes on the ODT and the gap is apparent in OOXML strict and Word 2007-2019 .docx
Comment 3 Xisco Faulí 2019-02-12 17:14:48 UTC
Created attachment 149229 [details]
comparison MSO 2010 and LibreOffice 6.3 Master
Comment 4 Xisco Faulí 2019-02-12 17:33:44 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8b73bafbc18acb4dd8911d2f2de8158d98eb6144

author	Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-14 15:31:35 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-14 20:21:57 +0100
commit	8b73bafbc18acb4dd8911d2f2de8158d98eb6144 (patch)
tree	5bb43213b1c7ef8802d8f6b50bffdf9742117ad2
parent	b13678b1e1d6f4cac548ae7e088b6030c31cf081 (diff)
tdf#115719 DOCX import: increase paragraph spacing for anchored objects

Bisected with: bibisect-linux64-6.1 

Adding Cc: to Miklos Vajna
Comment 5 Commit Notification 2019-03-05 07:36:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fa10258d723a0c50941166ba13274308fb0cfcbe%5E%21

tdf#123243 DOCX import: make increased anchored obj spacing cond more strict

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-03-11 09:19:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f12f26e798b4251a0acc6af21a49150f7a13ad86%5E%21

tdf#123243 DOCX import: make increased anchored obj spacing cond more strict

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-03-12 17:45:51 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 8aa579830b20072af8d6e149d6b279362fe98b91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this!